PUT /call_router_answer_groups/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_router_answer_groups/:id

Update Answer Group by id.

Updates an Answer Group's name, description, or digit-collection settings (minimum/maximum length, timeout, pound-terminated collection).

Params

Param name Description
name
Optional Blank value allowed

Name of the Answer Group.

  • Must be a String

description
Optional Blank value allowed

Optional description for the Answer Group.

  • Must be a String

call_router_answers_count
Optional Blank value allowed

Number of single-key answers configured in this group.

  • Must be a decimal number.

request_answer_with_pound
Optional Blank value allowed

Collect a multi-digit response and require callers to press

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

answer_length_min
Optional Blank value allowed

Minimum number of digits expected when collecting a numeric response.

  • Must be a decimal number.

answer_length_max
Optional Blank value allowed

Maximum number of digits allowed when collecting a numeric response.

  • Must be a decimal number.

answer_length_timeout
Optional Blank value allowed

Seconds to wait for input before timing out when collecting a numeric response.

  • Must be a decimal number.

answer_assign_to_token_key
Optional Blank value allowed

The token key the caller’s entered digits are saved to when collecting a multi-digit response.

  • Must be a String